Memaksa PHP versi lama di cPanel

Memang PHP 5.6 sudah saatnya ditinggalkan dan migrasi ke (minimal) PHP 7.0 untuk defaultnya. Tapi untuk website yang tidak ada masalah bisa ditunda dulu. Tapi saya baru tahu ada provider web hosting yang agresif sekali dan tanpa notifikasi tiba – tiba melakukan upgrade ke PHP 7.0. 🙁

Alhasil forum phpBB milik klien saya langsung lumpuh seketika dan muncul error dimana – mana karena ada yang tidak kompatibel. Ingin mengembalikan ke versi lama ternyata dari panelnya sudah dihilangkan fiturnya.

Nah… saya hanya share 1 trik manual untuk memaksa menggunakan PHP 5.6 kembali, asalkan oleh providernya belum dihapus dan cuma disembunyikan dari tampilannya saja.

Silahkan edit file .htaccess dan tambahkan kode berikut didalamnya:


<IfModule mime_module>
    AddType application/x-httpd-ea-php56 .php .php7 .phtml
</IfModule>

Setahu saya cara ini cuma bisa dipakai di cPanel.

Tapi harap ingat ini solusi sementara saja, coba cek apakah CMS atau script yang digunakan ada update untuk kompatibilitas PHP 7.0.

Tinggalkan komentar